brltty (5.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.
    - debian/brltty.service: Respect disabling of brltty in the /etc/default
      file. Turn this into a "Type=simple" job by running in the foreground so
      that the unit can tell apart "disabled" from "running".

brltty (5.3.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * brltty-udeb.sh: Preseed installing MATE desktop by default when brltty is
    used in d-i.
  * watch: Generalize URL.
  * Disable auto-detection of Cebra, Albatross, and BrailleMemo devices in the
    Debian Installer, since they are rare and conflict with other devices
    (Closes: #782732).
  * patches/git-18c9b3f: New patch to fix xbrlapi looping when brltty shuts
    down.
  * rules:
    - Remove /lib/$DEB_HOST_MULTIARCH/libbrlapi.so, link directly
    libbrlapi from /lib to /usr/lib (Closes: #766810).
    - Make binary-indep depend on brltty to actually install the binary-indep
    files (Closes: #805938).
  * brltty-udeb.prebaseconfig:
    - Enable screen reader in KDE.
    - Support 4th bootline parameter.
  * patches/git-8229038: New patch to add 4th bootline parameter support.
  * control: Drop multiarch-support pre-depend.

  [ Mario Lang ]
  * New upstream release.
  * Drop merged patches.
  * Disable systemd in udev package.

  [ Samuel Thibault ]
  * brltty-udeb.udev.rules: Add new USB IDs.
  * Drop merged patch.
  * Drop libbrlapi0.6.postinst libbrlapi0.6.postrm, now using triggers.
  * Drop jquery.js from brlapi reference documentation, to make sure that
    doxygen regenerates it.

  [ Mario Lang ]
  * debian/brltty.service: Update from upstream example.

Date: Tue, 12 Jan 2016 09:44:27 +1100
Changed-By: Luke Yelavich <them...@ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/brltty/5.3.1-1ubuntu1
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jan 2016 09:44:27 +1100
Source: brltty
Binary: brltty brltty-dbg libbrlapi0.6 libbrlapi-dbg libbrlapi-dev 
libbrlapi-jni libbrlapi-java brltty-flite brltty-speechd brltty-espeak 
brltty-udeb brltty-x11 xbrlapi python-brlapi python3-brlapi
Architecture: source
Version: 5.3.1-1ubuntu1
Distribution: xenial
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Changed-By: Luke Yelavich <them...@ubuntu.com>
Description:
 brltty     - Access software for a blind person using a braille display
 brltty-dbg - debugging symbols for brltty
 brltty-espeak - Access software for a blind person - espeak driver
 brltty-flite - Access software for a blind person - Flite speech driver
 brltty-speechd - Access software for a blind person - Speech Dispatcher driver
 brltty-udeb - Access software for a blind person using a braille display (udeb)
 brltty-x11 - Access software for a blind person using a braille display - X11
 libbrlapi-dbg - braille display access via BRLTTY - shared library debugging 
symb
 libbrlapi-dev - Library for communication with BRLTTY - static libs and headers
 libbrlapi-java - Java bindings for BrlAPI
 libbrlapi-jni - Java bindings for BrlAPI (native library)
 libbrlapi0.6 - braille display access via BRLTTY - shared library
 python-brlapi - Braille display access via BRLTTY - Python bindings
 python3-brlapi - Braille display access via BRLTTY - Python3 bindings
 xbrlapi    - Access software for a blind person using a braille display - xbrl
Closes: 766810 782732 805938
Changes:
 brltty (5.3.1-1ubuntu1) xenial; urgency=medium
 .
   * Merge from Debian unstable. Remaining changes:
     - Add brltty-setup, installed in both the udeb and the normal system.
     - Add initramfs integration to run brltty-setup if necessary before
       usplash starts.
     - Add ubiquity integration to propagate any brltty configuration to the
       target system.
     - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
       package as well.
     - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
       by the installer if brltty is configured; add a NEWS entry for
       upgraders.
     - Don't install /etc/brltty.conf in the package
     - Install udev rules with the same name (85-brltty.rules) in the udeb as
       in the deb.
     - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
       adjust the brltty package description accordingly. dh-lisp is not
       in main.
     - Enable brltty at startup on the target system if the alternate installer
       is used.
     - Create separate rules file for the brltty deb, with the rules now
       pointing to a separate script
     - Add gbp.conf file for git buildpackage
     - Do not build the at-spi driver, the legacy at-spi stack is no longer in
       the archive.
     - Drop explicit build dependency on tcl8.4.
     - debian/brltty.service: Respect disabling of brltty in the /etc/default
       file. Turn this into a "Type=simple" job by running in the foreground so
       that the unit can tell apart "disabled" from "running".
 .
 brltty (5.3.1-1) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * brltty-udeb.sh: Preseed installing MATE desktop by default when brltty is
     used in d-i.
   * watch: Generalize URL.
   * Disable auto-detection of Cebra, Albatross, and BrailleMemo devices in the
     Debian Installer, since they are rare and conflict with other devices
     (Closes: #782732).
   * patches/git-18c9b3f: New patch to fix xbrlapi looping when brltty shuts
     down.
   * rules:
     - Remove /lib/$DEB_HOST_MULTIARCH/libbrlapi.so, link directly
     libbrlapi from /lib to /usr/lib (Closes: #766810).
     - Make binary-indep depend on brltty to actually install the binary-indep
     files (Closes: #805938).
   * brltty-udeb.prebaseconfig:
     - Enable screen reader in KDE.
     - Support 4th bootline parameter.
   * patches/git-8229038: New patch to add 4th bootline parameter support.
   * control: Drop multiarch-support pre-depend.
 .
   [ Mario Lang ]
   * New upstream release.
   * Drop merged patches.
   * Disable systemd in udev package.
 .
   [ Samuel Thibault ]
   * brltty-udeb.udev.rules: Add new USB IDs.
   * Drop merged patch.
   * Drop libbrlapi0.6.postinst libbrlapi0.6.postrm, now using triggers.
   * Drop jquery.js from brlapi reference documentation, to make sure that
     doxygen regenerates it.
 .
   [ Mario Lang ]
   * debian/brltty.service: Update from upstream example.
Checksums-Sha1:
 ad9b1d09cfeb5dd72d194135bbcff0e283cee534 2617 brltty_5.3.1-1ubuntu1.dsc
 c49e8654d3d38c40d0cea46690ae6e1be187b95b 6323336 brltty_5.3.1.orig.tar.xz
 e69c41908db4d33ad153e9e02ba85e56ae0860ba 36104 
brltty_5.3.1-1ubuntu1.debian.tar.xz
Checksums-Sha256:
 2f123d9851c25a1af3bebe010b08311caf56a321fc4089bf1c977326c1913484 2617 
brltty_5.3.1-1ubuntu1.dsc
 5bf6dfda8b48d505886f8a8165af8fdd74a3b97f4cae58febb648664283e9748 6323336 
brltty_5.3.1.orig.tar.xz
 3073c8bc0164ce670664d8f98c5741869cc8f104606465f7e77405d8f544a2a6 36104 
brltty_5.3.1-1ubuntu1.debian.tar.xz
Files:
 ea54adca4531c7c6b1790bcc42d6d6f9 2617 admin extra brltty_5.3.1-1ubuntu1.dsc
 7835871c911effd286040225bf5355f8 6323336 admin extra brltty_5.3.1.orig.tar.xz
 756a4503682b0310ec7828d6dc7cf386 36104 admin extra 
brltty_5.3.1-1ubuntu1.debian.tar.xz
Original-Maintainer: Debian Accessibility Team 
<debian-accessibil...@lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlaUMJ0ACgkQjVefwtBjIM4nnACfautXJrZFNbwm8M/bKl51+WnX
t2MAoMqqXoE+fUsc3fauP9et2Rj5l1KH
=fx+j
-----END PGP SIGNATURE-----
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to